#include<stdio.h>
#include<stdlib.h>

int main(int argc, char * argv[]) {
	int note = 0;

	do {
		printf("Veuillez donner votre note du bac : ");
		scanf("%d", &note);
	} while ( note < 10 || note > 20);

	if (note >= 16) printf("Vous avez eu mention 'Très Bien'.\n");
	else if (note >= 14) printf("Vous avez eu mention 'Bien'.\n");
	else if (note >= 12) printf("Vous avez eu mention 'Assez Bien'.\n");
	else printf("Vous n'avez pas eu de mention.\n");

	return EXIT_SUCCESS;
}
